> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get a CMS message as MIME
> Returns the specified CMS message in MIME message format.
## OpenAPI
````json GET /cms/getMimeMessage
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS (legacy)"
},
{
"name": "CMS Blocks"
},
{
"name": "CMS Frameworks"
},
{
"name": "CMS Messages"
},
{
"name": "CMS Templates"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/cms/getMimeMessage": {
"get": {
"tags": [
"CMS (legacy)"
],
"summary": "Get a CMS message as MIME",
"description": "Returns the specified CMS message in MIME message format.",
"operationId": "getMimeMessage",
"parameters": [
{
"name": "cmsMessageId",
"in": "query",
"description": "The ID of the CMS message to be returned.",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
}
}
],
"responses": {
"200": {
"description": "",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CmsMessageDefinition"
}
}
}
},
"400": {
"description": "Error response: {
\"errorActor\": \"CLIENT\",
\"errorCode\": \"NO_SUCH_OBJECT\",
\"message\": \"No cms message found with id '81301'!\",
\"objectType\": null,
\"propertyName\": null,
\"propertyValue\": null
}",
"content": {
"application/json": {}
}
}
}
}
}
},
"components": {
"schemas": {
"CmsMessageDefinition": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64"
},
"superGroupId": {
"type": "integer",
"format": "int64"
},
"ownerId": {
"type": "integer",
"format": "int64"
},
"masterId": {
"type": "string"
},
"masterLocation": {
"type": "string"
},
"description": {
"type": "string"
},
"externalId": {
"type": "string"
},
"subject": {
"type": "string"
},
"dueDate": {
"type": "string"
},
"creationDate": {
"type": "string"
},
"encoding": {
"type": "string"
},
"active": {
"type": "boolean",
"default": false
},
"archived": {
"type": "boolean",
"default": false
}
}
}
}
}
}
````